Package org.eclipse.birt.core.framework

# Class PlatformFileContext

java.lang.Object
org.eclipse.birt.core.framework.PlatformFileContext

All Implemented Interfaces:
  `IPlatformContext`

public class PlatformFileContext extends Object implements IPlatformContext
An platform context that is based on file operations. Since in web environment WAR deployment, absolute file path is not available. In this case, user should NOT use this class. In this case, user should use PlatformServletContext or develop his own PlatformContext to make sure reousce operation are used.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String[]`
`arguments`
`protected String`
`root`

## Constructor Summary

Constructors
Constructor
Description
`PlatformFileContext()`
PlatformFileContext Constructor
`PlatformFileContext(PlatformConfig config)`
PlatformFileContext Constructor( String , IPlatformConfig )

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getLaunchArguments()`
`String`
`getPlatform()`
return the folder of the platform.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### root

protected String root

### arguments

protected String[] arguments

## Constructor Details

### PlatformFileContext

public PlatformFileContext()
PlatformFileContext Constructor

### PlatformFileContext

public PlatformFileContext(PlatformConfig config)
PlatformFileContext Constructor( String , IPlatformConfig )

Parameters:
  `root` -
  `platformConfig` -

## Method Details

### getPlatform

public String getPlatform()
Description copied from interface: `IPlatformContext`
return the folder of the platform.

Specified by:
  `getPlatform` in interface `IPlatformContext`
Returns:
  the folder represent the root of the platform.

### getLaunchArguments

public String[] getLaunchArguments()